petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetVecType

Sets the type of vector created with DMCreateLocalVector() and DMCreateGlobalVector()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMSetVecType(DM da,VecType ctype)

Logically Collective on DM Many br

### Input Parameter

| da | - initial distributed array Many br
| ctype | - the vector type, currently either VECSTANDARD or VECCUSP Many br

### Options Database

| -dm_vec_type ctype | - Many br Many br

### See Also

DMCreate(), DMDestroy(), DM, DMDAInterpolationType, VecType, DMGetVecType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages